org.flexdock.perspective.persist.xml

## Class SerializerRegistry

- java.lang.Object
- - org.flexdock.perspective.persist.xml.SerializerRegistry

    public class SerializerRegistry
    extends java.lang.Object

Created on 2005-06-03

Version:
  $Id: SerializerRegistry.java,v 1.5 2005-07-05 14:53:29 marius Exp $
Author:
  Mateusz Szczap

### Constructor Summary

Constructors
Constructor and Description
`SerializerRegistry()`

### Method Summary

Methods
`static ISerializer` `getSerializer(java.lang.Class clazz)`
`static void` `registerSerializer(java.lang.Class clazz, ISerializer serializer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializerRegistry

    public SerializerRegistry()

### Method Detail

#### registerSerializer

    public static void registerSerializer(java.lang.Class clazz,
                          ISerializer serializer)

#### getSerializer

    public static ISerializer getSerializer(java.lang.Class clazz)